# 常用SQL

## 查询当前任务状态

```sql
select name,
       description,
       CASE
           WHEN deleted = 0 THEN '🟢'
           WHEN deleted = 1 THEN '🔴'
           END                                                         AS '调度状态',
       CASE
           WHEN REPLACE(json_extract(sink_params, '$.checkUpdate.status'), '"', '') = 'on' THEN '🟢'
           WHEN REPLACE(json_extract(sink_params, '$.checkUpdate.status'), '"', '') = 'off' THEN '🔴'
           END                                                         as '是否检查更新',
       CASE
           WHEN REPLACE(json_extract(sink_params, '$.checkDelete.status'), '"', '') = 'on' THEN '🟢'
           WHEN REPLACE(json_extract(sink_params, '$.checkDelete.status'), '"', '') = 'off' THEN '🔴'
           END                                                         as '是否检查删除',
       REPLACE(json_extract(request_params, '$.url'), '"', '')         as 'URL',

       REPLACE(json_extract(sink_params, '$.dataSourceName'), '"', '') as '数据源名',
       REPLACE(json_extract(sink_params, '$.tableName'), '"', '')      as '表名'
from task;
```

